×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Regular Contributor
    Join Date
    Sep 2010
    Posts
    150

    Exclamation std. qt 1.0.2 app fails to install on new E7

    Hi all
    just got from the shop new E7 and trying to install simple Qt selfsigned app built with usual NokiaQtSdk 1.0.2 (..tested on N8, C7, works fine). On E7 installation fails, telling that missing QtMobility 1.0.2, when installing qtmobility.sis or qt_installer.sis or qtmobility_1.0.2_for_n8.sis directly from sdk folder, it all fails to install with "Update error" (qtmobility) "error -10256" (qt_installer.sis)
    What I'm doing wrong?

  2. #2
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: std. qt 1.0.2 app fails to install on new E7

    Quote Originally Posted by developer 123 View Post
    Hi all
    just got from the shop new E7 and trying to install simple Qt selfsigned app built with usual NokiaQtSdk 1.0.2 (..tested on N8, C7, works fine). On E7 installation fails, telling that missing QtMobility 1.0.2, when installing qtmobility.sis or qt_installer.sis or qtmobility_1.0.2_for_n8.sis directly from sdk folder, it all fails to install with "Update error" (qtmobility) "error -10256" (qt_installer.sis)
    What I'm doing wrong?
    for me your approch is correct only thing might be that qtmobility_1.0.2_for_n8.sis not meant to be used on E7. It is always suggested to use Smart installer then manually installing it , Smart installer will download and install correct version for your device.

  3. #3
    Regular Contributor
    Join Date
    Sep 2010
    Posts
    150

    Re: std. qt 1.0.2 app fails to install on new E7

    hmm.. very strange. Any one else experience the same problem with E7?
    Actually I got it work: After I installed first (any) Qt based application from Ovi Store, then I can install my selfsigned apps made in QtCreator and built in Device-Release mode.

  4. #4
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: std. qt 1.0.2 app fails to install on new E7

    Qt is already available on device, no need to try to install it again, certainly not the qt_installer.sis version which would fail at attempting to update OpenC.

    Qt Mobility 1.0.2 [for N8] should install just fine. In fact, installing an app from the Ovi Store ensured to install that very Qt Mobility package, by using the Smart Installer.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

Similar Threads

  1. how to install a QT app on meamo device?
    By fily_love in forum Nokia N9
    Replies: 16
    Last Post: 2011-08-21, 10:39
  2. How to install Qt Quick app on N8.
    By chintandave_er in forum [Archived] Qt Quick
    Replies: 4
    Last Post: 2011-02-07, 14:02
  3. Nokia Qt SDK offline installer fails to install
    By hieronymuz in forum [Archived] Qt SDKs and Tools
    Replies: 2
    Last Post: 2010-05-27, 10:06

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×